KDE 4.2 PyKDE API Reference

- KDE's Python API

# AudioDataOutputInterface Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon::Experimental

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Methods

Phonon.Experimental.AbstractAudioDataOutput | frontendObject (self)
| setFrontendObject (self, Phonon.Experimental.AbstractAudioDataOutput a0)

## Method Documentation

Phonon.Experimental.AbstractAudioDataOutput frontendObject | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setFrontendObject | ( | self, |
|  | Phonon.Experimental.AbstractAudioDataOutput | a0
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.